Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class XMLGrammarCachingConfiguration

    java.lang.Object
      weblogic.apache.xerces.util.ParserConfigurationSettings
          weblogic.apache.xerces.parsers.BasicParserConfiguration
              weblogic.apache.xerces.parsers.DTDConfiguration
                  weblogic.apache.xerces.parsers.StandardParserConfiguration
                      weblogic.apache.xerces.parsers.XMLGrammarCachingConfiguration

All Implemented Interfaces:
  XMLComponentManager, XMLParserConfiguration, XMLPullParserConfiguration

Deprecated. please use JDK supplied XML parsers and transformers

    public class XMLGrammarCachingConfiguration

extends StandardParserConfiguration

This configuration provides a generic way of using Xerces's grammar caching facilities. It extends the StandardParserConfiguration and thus may validate documents according to XML schemas or DTD's. It also allows the user to preparse a grammar, and to lock the grammar pool implementation such that no more grammars will be added.

Using the weblogic.apache.xerces.xni.parser property, an application may instantiate a Xerces SAX or DOM parser with this configuration. When invoked in this manner, the default behaviour will be elicited; to use this configuration's specific facilities, the user will need to reference it directly.

In addition to the features and properties recognized by the base parser configuration, this class recognizes these additional features and properties:

Field Summary
`static int` | `BIG_PRIME` Deprecated.
`protected XMLDTDLoader` | `fDTDLoader` Deprecated.
`protected XMLSchemaLoader` | `fSchemaLoader` Deprecated.
`protected static XMLGrammarPoolImpl` | `fStaticGrammarPool` Deprecated.
`protected static SynchronizedSymbolTable` | `fStaticSymbolTable` Deprecated.
`protected static String` | `SCHEMA_FULL_CHECKING` Deprecated.

Fields inherited from class weblogic.apache.xerces.parsers.StandardParserConfiguration
`fSchemaValidator, NORMALIZE_DATA, SCHEMA_ELEMENT_DEFAULT, SCHEMA_VALIDATOR`

Fields inherited from class weblogic.apache.xerces.parsers.DTDConfiguration
`ALLOW_JAVA_ENCODINGS, CONTINUE_AFTER_FATAL_ERROR, DATATYPE_VALIDATOR_FACTORY, DOCUMENT_SCANNER, DTD_PROCESSOR, DTD_SCANNER, DTD_VALIDATOR, ENTITY_MANAGER, ERROR_REPORTER, fDatatypeValidatorFactory, fDTDProcessor, fDTDScanner, fDTDValidator, fEntityManager, fErrorReporter, fGrammarPool, fInputSource, fLocator, fNamespaceBinder, fParseInProgress, fScanner, fValidationManager, LOAD_EXTERNAL_DTD, NAMESPACE_BINDER, NOTIFY_BUILTIN_REFS, NOTIFY_CHAR_REFS, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF, WARN_ON_DUPLICATE_ENTITYDEF, WARN_ON_UNDECLARED_ELEMDEF, XMLGRAMMAR_POOL`

Fields inherited from class weblogic.apache.xerces.parsers.BasicParserConfiguration
`ENTITY_RESOLVER, ERROR_HANDLER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fComponents, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fLastComponent, fLocale, fSymbolTable, NAMESPACES, SYMBOL_TABLE, VALIDATION, XML_STRING`

Fields inherited from class weblogic.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties`

Constructor Summary
`XMLGrammarCachingConfiguration()` Deprecated. Default constructor.
`XMLGrammarCachingConfiguration(SymbolTable symbolTable)` Deprecated. Constructs a parser configuration using the specified symbol table.
`XMLGrammarCachingConfiguration(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Deprecated. Constructs a parser configuration using the specified symbol table and grammar pool.
`XMLGrammarCachingConfiguration(SymbolTable symbolTable, XMLGrammarPool grammarPool, XMLComponentManager parentSettings)` Deprecated. Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

Method Summary
`protected void` | `checkFeature(String featureId)` Deprecated. Check a feature.
`protected void` | `checkProperty(String propertyId)` Deprecated. Check a property.
`void` | `clearGrammarPool()` Deprecated.
`void` | `lockGrammarPool()` Deprecated.
`Grammar` | `parseGrammar(String type, String uri)` Deprecated. Parse a grammar from a location identified by an URI.
`Grammar` | `parseGrammar(String type, XMLInputSource is)` Deprecated. Parse a grammar from a location identified by an XMLInputSource.
`void` | `unlockGrammarPool()` Deprecated.

Methods inherited from class weblogic.apache.xerces.parsers.StandardParserConfiguration
`configurePipeline`

Methods inherited from class weblogic.apache.xerces.parsers.DTDConfiguration
`cleanup, createDatatypeValidatorFactory, createDocumentScanner, createDTDProcessor, createDTDScanner, createDTDValidator, createEntityManager, createErrorReporter, createNamespaceBinder, createValidationManager, parse, parse, reset, setInputSource, setLocale`

Methods inherited from class weblogic.apache.xerces.parsers.BasicParserConfiguration
`addComponent, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Methods inherited from class weblogic.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties, getFeature, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getLocale, getProperty, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Field Detail

### BIG_PRIME

    public static final int BIG_PRIME

  Deprecated.
  See Also:
    Constant Field Values

### fStaticSymbolTable

    protected static final SynchronizedSymbolTable fStaticSymbolTable

  Deprecated.

### fStaticGrammarPool

    protected static final XMLGrammarPoolImpl fStaticGrammarPool

  Deprecated.

### SCHEMA_FULL_CHECKING

    protected static final String SCHEMA_FULL_CHECKING

  Deprecated.
  See Also:
    Constant Field Values

### fSchemaLoader

    protected XMLSchemaLoader fSchemaLoader

  Deprecated.

### fDTDLoader

    protected XMLDTDLoader fDTDLoader

  Deprecated.

Constructor Detail

### XMLGrammarCachingConfiguration

    public XMLGrammarCachingConfiguration()

  Deprecated.
  Default constructor.

### XMLGrammarCachingConfiguration

    public XMLGrammarCachingConfiguration(SymbolTable symbolTable)

  Deprecated.
  Constructs a parser configuration using the specified symbol table.

  Parameters:
    `symbolTable` - The symbol table to use.

### XMLGrammarCachingConfiguration

    public XMLGrammarCachingConfiguration(SymbolTable symbolTable,
                                          XMLGrammarPool grammarPool)

  Deprecated.
  Constructs a parser configuration using the specified symbol table and grammar pool.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.

### XMLGrammarCachingConfiguration

    public XMLGrammarCachingConfiguration(SymbolTable symbolTable,
                                          XMLGrammarPool grammarPool,
                                          XMLComponentManager parentSettings)

  Deprecated.
  Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.
    `parentSettings` - The parent settings.

Method Detail

### lockGrammarPool

    public void lockGrammarPool()

  Deprecated.

### clearGrammarPool

    public void clearGrammarPool()

  Deprecated.

### unlockGrammarPool

    public void unlockGrammarPool()

  Deprecated.

### parseGrammar

    public Grammar parseGrammar(String type,
                                String uri)
                         throws XNIException,
                                IOException

  Deprecated.
  Parse a grammar from a location identified by an URI. This method also adds this grammar to the XMLGrammarPool

  Parameters:
    `type` - The type of the grammar to be constructed
    `uri` - The location of the grammar to be constructed. The parser will not expand this URI or make it available to the EntityResolver
  Returns:
    The newly created `Grammar`.
  Throws:
    `XNIException` - thrown on an error in grammar construction
    `IOException` - thrown if an error is encountered in reading the file

### parseGrammar

    public Grammar parseGrammar(String type,
                                XMLInputSource is)
                         throws XNIException,
                                IOException

  Deprecated.
  Parse a grammar from a location identified by an XMLInputSource. This method also adds this grammar to the XMLGrammarPool

  Parameters:
    `type` - The type of the grammar to be constructed
    `source` - The XMLInputSource containing this grammar's information If a URI is included in the systemId field, the parser will not expand this URI or make it available to the EntityResolver
  Returns:
    The newly created `Grammar`.
  Throws:
    `XNIException` - thrown on an error in grammar construction
    `IOException` - thrown if an error is encountered in reading the file

### checkFeature

    protected void checkFeature(String featureId)
                         throws XMLConfigurationException

  Deprecated.
  Check a feature. If feature is known and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Overrides:
    `checkFeature` in class `StandardParserConfiguration`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
  Throws:
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### checkProperty

    protected void checkProperty(String propertyId)
                          throws XMLConfigurationException

  Deprecated.
  Check a property. If the property is known and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Overrides:
    `checkProperty` in class `StandardParserConfiguration`
  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Throws:
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD